# This file created by conda-build 3.21.5
# meta.yaml template originally from:
# C:\ci\containers\00001lieda0\tmp\build\80754af9\combined_recipe, last modified Thu Nov  4 02:08:13 2021
# ------------------------------------------------

package:
  name: scikit-image
  version: 0.18.3
source:
  patches:
    - skip-broken-tests.patch
  sha256: ecae99f93f4c5e9b1bf34959f4dc596c41f2f6b2fc407d9d9ddf85aebd3137ca
  url: https://pypi.io/packages/source/s/scikit-image/scikit-image-0.18.3.tar.gz
build:
  entry_points:
    - skivi = skimage.scripts.skivi:main
  number: '0'
  script:
    - rm -rf skimage/viewer/tests
    - rm -f pyproject.toml
    - C:\\ci\\scikit-image_1636009920210\\_h_env\\python.exe setup.py build_ext -j2
    - C:\\ci\\scikit-image_1636009920210\\_h_env\\python.exe setup.py install --single-version-externally-managed
      --record record.txt
  string: py37hf11a4ad_0
requirements:
  build:
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - msys2-conda-epoch 20160418 1
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.10.26 haa95532_2
    - certifi 2021.10.8 py37haa95532_0
    - cython 0.29.24 py37hd77b12b_0
    - icc_rt 2019.0.0 h0cc432a_1
    - intel-openmp 2021.4.0 haa95532_3556
    - mkl 2021.4.0 haa95532_640
    - mkl-service 2.4.0 py37h2bbff1b_0
    - mkl_fft 1.3.1 py37h277e83a_0
    - mkl_random 1.2.2 py37hf11a4ad_0
    - numpy 1.16.6 py37ha4e8547_3
    - numpy-base 1.16.6 py37h5bb6eb2_3
    - openssl 1.1.1l h2bbff1b_0
    - pip 21.2.4 py37haa95532_0
    - python 3.7.11 h6244533_0
    - setuptools 58.0.4 py37haa95532_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.36.0 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.0 pyhd3eb1b0_1
    - wincertstore 0.2 py37haa95532_2
  run:
    - cloudpickle >=0.2.1
    - cytoolz >=0.7.3
    - dask-core >=0.15.0
    - imageio >=2.3.0
    - matplotlib-base >=2.0.0,!=3.0.0
    - networkx >=2.0
    - numpy >=1.16.6,<2.0a0
    - pillow >=4.3.0,!=7.1.0,!=7.1.1,!=8.3.0
    - python >=3.7,<3.8.0a0
    - pywavelets >=1.1.1
    - scipy >=1.0.1
    - tifffile >=2019.7.26
    - toolz >=0.7.3
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
  run_constrained:
    - pooch >=1.3.0
test:
  commands:
    - pip check
    - set OPENBLAS_NUM_THREADS=1
    - set OMP_NUM_THREADS=1
    - setx MPLBACKEND "Agg"
    - set "SKIMAGE_TEST_STRICT_WARNINGS=0" & pytest --verbose --pyargs skimage -k
      "not (_not_a_real_test or test_uint16 or test_apply_parallel_rgb or test_thresholding
      or test_mpl_imshow)"
  imports:
    - skimage
  requires:
    - pillow
    - pip
    - pooch >=1.3.0
    - pytest
    - pytest-localserver
about:
  description: 'scikit-image is a collection of algorithms for image processing.

    It is available free of charge and free of restriction.

    We pride ourselves on high-quality, peer-reviewed code,

    written by an active community of volunteers.

    '
  dev_url: https://github.com/scikit-image/scikit-image
  doc_url: https://scikit-image.org/docs/stable/
  home: http://scikit-image.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Image processing in Python.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - emmanuelle
    - hmaarrfk
    - jakirkham
    - jni
    - msarahan
    - ocefpaf
    - soupault
